extends Control

var info_title_node
var info_text_node

func _ready() -> void:
	info_title_node = find_child("InfoTitle")
	info_text_node = find_child("InfoText")
	assert(info_title_node != null)
	assert(info_text_node != null)
	hide()

func show_info_box(info_title: String, info_text: String):
	info_title_node.text = info_title
	info_text_node.text = info_text
	show()
	
func hide_info_box():
	hide()
